Package org.eclipse.gef.cloudio.internal.ui.view

# Interface IEditableCloudLabelProvider

All Superinterfaces:
  `IBaseLabelProvider`, `ICloudLabelProvider`

All Known Implementing Classes:
  `TypeLabelProvider`

public interface IEditableCloudLabelProvider extends ICloudLabelProvider
An `IEditableCloudLabelProvider` is supported by the `CloudOptionsComposite`, such that it can be used to modify colors, fonts, and angles.

## Method Summary

Modifier and Type
Method
Description
`void`
`setAngles(List<Float> list)`
`void`
`setColors(List<RGB> colors)`
`void`
`setFonts(List<FontData> fonts)`

### Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider

`addListener, dispose, isLabelProperty, removeListener`

### Methods inherited from interface org.eclipse.gef.cloudio.internal.ui.ICloudLabelProvider

`getAngle, getColor, getFontData, getLabel, getToolTip, getWeight`

## Method Details

### setColors

void setColors(List<RGB> colors)

### setFonts

void setFonts(List<FontData> fonts)

### setAngles

void setAngles(List<Float> list)